[PATCH] test: add simple tests for post-insert hook
David Bremner
david at tethera.net
Sat Oct 18 00:22:35 PDT 2014
Most of the existing tests for pre/post-new hook don't seem to apply.
---
test/T400-hooks.sh | 18 ++++++++++++++++++
1 file changed, 18 insertions(+)
diff --git a/test/T400-hooks.sh b/test/T400-hooks.sh
index 77e8569..e741211 100755
--- a/test/T400-hooks.sh
+++ b/test/T400-hooks.sh
@@ -30,6 +30,8 @@ rm_hooks () {
# add a message to generate mail dir and database
add_message
+# create maildir structure for notmuch-insert
+mkdir -p "$MAIL_DIR"/{cur,new,tmp}
test_begin_subtest "pre-new is run"
rm_hooks
@@ -45,6 +47,16 @@ create_echo_hook "post-new" expected output
notmuch new > /dev/null
test_expect_equal_file expected output
+test_begin_subtest "post-insert hook is run"
+rm_hooks
+generate_message
+create_echo_hook "post-insert" expected output
+echo $gen_msg_filename
+cat output
+notmuch insert < "$gen_msg_filename"
+echo $?
+test_expect_equal_file expected output
+
test_begin_subtest "pre-new is run before post-new"
rm_hooks
generate_message
@@ -82,6 +94,12 @@ test_expect_equal_file expected output
# depends on the previous subtest leaving broken hook behind
test_expect_code 1 "post-new non-zero exit status (notmuch status)" "notmuch new"
+rm_hooks
+generate_message
+create_failing_hook "post-insert"
+test_expect_success "post-insert hook does not affect insert status" \
+ "notmuch insert < \"$gen_msg_filename\" > /dev/null"
+
# test_begin_subtest "hook without executable permissions"
rm_hooks
mkdir -p ${HOOK_DIR}
--
2.1.1
More information about the notmuch
mailing list